// Projects types
type ProjectStatus = 'development' | 'release' | 'freeze' | 'dropped';
type ProjectStack = 'css' | 'html' | 'js' | 'ts' | 'sass' | 'java' | 'kotlin' | 'python' | 'go' | 'react' | 'gulp';
type ProjectLink = 'github' | 'git' | 'vk' | 'web';

type ProjectLinkType = {
  name: string
  url: string
  type: ProjectLink
}
type ProjectType = {
  name: string
  desc: string
  stack: ProjectStack[]
  status: ProjectStatus
  links: ProjectLinkType[]
}

// Genshin types
type GenshinLinkType = {
  name: string
  url: string
}

type GenshinDLType = {
  name: string
  outdated: boolean
  beta: boolean
  secured: boolean
  links: GenshinLinkType[]
}